> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar webhooks

> Devuelve los webhooks configurados para el business autenticado.



## OpenAPI

````yaml /openapi.yaml get /v2/webhooks
openapi: 3.0.0
info:
  title: YP API Partner
  description: Documentación de integración para partners de YP API.
  version: 2.2.0
  contact: {}
servers:
  - url: https://sandbox-rampa.mesadepagos.com/api
    description: Sandbox
security: []
tags:
  - name: Auth
    description: ''
  - name: Quotes
    description: ''
  - name: Payin
    description: ''
  - name: Payout
    description: ''
  - name: Wallet
    description: ''
  - name: Consultas
    description: ''
  - name: Webhooks
    description: ''
  - name: Fees
    description: ''
paths:
  /v2/webhooks:
    get:
      tags:
        - Webhooks
      summary: Listar webhooks
      description: Devuelve los webhooks configurados para el business autenticado.
      operationId: getWebhooks
      parameters: []
      responses:
        '200':
          description: Webhooks configurados.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookResponseDoc'
        '401':
          description: Token ausente, inválido o expirado.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponseDoc'
      security:
        - bearer: []
components:
  schemas:
    WebhookResponseDoc:
      type: object
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
          description: Identificador único del webhook.
        callbalckUrl:
          type: string
          example: https://partner.example.com/webhooks/yp
          description: URL configurada para recibir notificaciones.
        events:
          description: Eventos configurados.
          allOf:
            - $ref: '#/components/schemas/WebhookEventsResponseDoc'
        createdAt:
          type: string
          example: '2026-05-12T12:00:00.000Z'
          description: Fecha de creación.
        updatedAt:
          type: string
          example: '2026-05-12T12:00:00.000Z'
          description: Fecha de última actualización.
        description:
          type: object
          example: Webhook principal
          nullable: true
          description: Descripción del webhook.
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - SUSPENDED
          example: ACTIVE
          description: Estado del webhook.
      required:
        - id
        - callbalckUrl
        - events
        - createdAt
        - updatedAt
        - status
    UnauthorizedResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
    WebhookEventsResponseDoc:
      type: object
      properties:
        transaction:
          type: array
          example:
            - completed_transaction
            - failed_transaction
          description: Eventos de transacción configurados.
          items:
            type: string
            enum:
              - pending_transaction
              - processing_transaction
              - completed_transaction
              - reject_transaction
              - failed_transaction
              - expired_transaction
      required:
        - transaction
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT obtenido desde /v2/auth/login

````